MongoDB

From DreamFactory
Jump to: navigation, search
(Created page with "If you have a Bitnami for Windows stack that has the older mongo driver or a too old version of mongodb driver, but need to upgrade to the mongodb driver, follow this procedur...")
 
(No difference)

Latest revision as of 18:48, 28 February 2018

If you have a Bitnami for Windows stack that has the older mongo driver or a too old version of mongodb driver, but need to upgrade to the mongodb driver, follow this procedure

  • Download the dll from pecl
    • http://pecl.php.net/package/mongodb
    • Click on the DLL link for the latest stable package unless you have a reason to use a different version
    • On the download page you will be presented with multiple options. You need to always choose thread safe and 32 bit (x86). Choose the version that matches the PHP version of your stack (7.0, 7.1.)
    • unzip the package after download
  • Copy the php_mongodb.dll file to the extensions directory
    • the PHP extensions default location is
      C:\Bitnami\dreamfactory-{version number}\php\ext\
  • Edit the php.ini file
    • php.ini default location is
      C:\Bitnami\dreamfactory-{version number}\php\
    • add a line that says
      extension=php_mongodb.dll
    • save the php.ini file
  • Restart your Bitnami stack